//========================================================================================
//
//	File:				AMSample.hpp
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef AMSample_HPP
#define AMSample_HPP

#if !defined(FW_BUILD_MAC)

// ----- Foundation Includes -----

#include "FWCommon.h"
#include "FWTaskG.h"
#include "FWDebug.h"
#include "FWExcLib.h"
#include "FWCollec.h"
#include "FWRefCnt.h"
#include "FWMemory.h"
#include "FWNotifn.h"
#include "FWRunTyp.h"
#include "FWStream.h"
#include "FWString.h"

// ----- OS Includes -----

#ifndef FWPOINT_H
#include "FWPoint.h"
#endif

#ifndef FWRECT_H
#include "FWRect.h"
#endif

#ifndef FWODGEOM_H
#include "FWODGeom.h"
#endif

// ----- OpenDoc Includes -----

#ifndef FWODTYPS_H
#include "FWODTyps.h"
#endif

#ifndef SOM_ODDragAndDrop_xh
#include <DragDrp.xh>
#endif

#ifndef SOM_Module_OpenDoc_StdProps_defined
#include <StdProps.xh>
#endif

#ifndef SOM_Module_OpenDoc_StdTypes_defined
#include <StdTypes.xh>
#endif

#ifndef SOM_ODStorageUnit_xh
#include <StorageU.xh>
#endif

#ifndef SOM_ODShape_xh
#include <Shape.xh>
#endif

#ifndef SOM_ODTransform_xh
#include <Trnsform.xh>
#endif

#ifndef SOM_ODSession_xh
#include <ODSessn.xh>
#endif

#endif

#endif // AMSample_HPP
