//========================================================================================
//
//	File:				Menus.fr
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef FWMENUS_FR
#include "FWMenus.fr"
#endif

//----------------------------------------------------------------------------
//	Strings for AMSample Part (Frame)
//----------------------------------------------------------------------------
resource FW_kMULTISTRING (kAMSamplePartStrings)
{
	kFirstString,		"Welcome to ODF on ";
	kMacString,			"Macintosh";
	kWinString,			"Windows";
	kBlankString,		"This part intentionally left blank";
}

//----------------------------------------------------------------------------
//	Strings for Undo and Redo menu items
//----------------------------------------------------------------------------

resource FW_kMULTISTRING (kAMSampleUndoStrings)
{
	kUndoDragTextMsg,	"Undo Text Removal";
	kRedoDragTextMsg,	"Redo Text Removal";
	kUndoDropTextMsg,	"Undo Text Drop";
	kRedoDropTextMsg,	"Redo Text Drop";
	kUndoClearTextMsg,	"Undo Text Clear";
	kRedoClearTextMsg,	"Redo Text Clear";
	kUndoCutTextMsg,	"Undo Text Cut";
	kRedoCutTextMsg,	"Redo Text Cut";
	kUndoPasteTextMsg,	"Undo Text Paste";
	kRedoPasteTextMsg,	"Redo Text Paste";
}

//----------------------------------------------------------------------------
//	Menus
//----------------------------------------------------------------------------


//----------------------------------------------------------------------------
//	Strings for AppMaker Menu
//----------------------------------------------------------------------------
resource FW_RMenuBar(kMenuBar)
{
	{
		FW_RPullDownMenu
		(
			"AppMaker"
			{
				FW_RTextItem(cStuffCommand, FW_kNoKeyEquivalent, "Stuff"),
				FW_RTextItem(cMoreStuffCommand, FW_kNoKeyEquivalent, "More Stuff"),
				FW_RSeparatorItem(),
				FW_RTextItem(cStillMoreCommand, FW_kNoKeyEquivalent, "Still More")
			}
		)
	}
};
